<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

        <property name="autoIncrement" value="true"/>

    <!--
        Added the entity OperatoreAdv.
    -->
    <changeSet id="20210311111659-1" author="jhipster">
        <createTable tableName="operatore_adv">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="nome" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="cognome" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="agenzia" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="username" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="password" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="autenticato" type="boolean">
                <constraints nullable="true" />
            </column>
            <column name="utente_id" type="bigint">
                <constraints unique="true" nullable="true" uniqueConstraintName="ux_operatore_adv_utente_id" />
            </column>
            <column name="azienda_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
    </changeSet>

    <changeSet id="20210311111659-1-relations" author="jhipster">

    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20210311111659-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/operatore_adv.csv"
                  separator=";"
                  tableName="operatore_adv">
            <column name="id" type="numeric"/>
            <column name="nome" type="string"/>
            <column name="cognome" type="string"/>
            <column name="agenzia" type="string"/>
            <column name="username" type="string"/>
            <column name="password" type="string"/>
            <column name="autenticato" type="boolean"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>

</databaseChangeLog>
